Summary:  Parallel remote shell program
Name:     pdsh
Version:  2.34
Release:  3%{?dist}
License:  GPLv2+
Url:      https://github.com/chaos/pdsh/
Source0:  https://github.com/chaos/pdsh/archive/refs/tags/%{name}-%{version}.tar.gz
BuildRequires: make, perl-generators, autoconf, automake, libtool, readline-devel
BuildRequires: libgenders-devel > 1.0, libnodeupdown-devel, torque-devel

Requires: pdsh-rcmd

%description
Pdsh is a multithreaded remote shell client which executes commands
on multiple remote hosts in parallel.  Pdsh can use several different
remote shell services, including standard "rsh", Kerberos IV, and ssh.

%package   rcmd-rsh
Summary:   Provides bsd rcmd capability to pdsh
Requires:  %{name} = %{version}-%{release}
Provides:  pdsh-rcmd

%description rcmd-rsh
Pdsh module for bsd rcmd functionality. Note: This module
requires that the pdsh binary be installed setuid root.

%package   rcmd-ssh
Summary:   Provides ssh rcmd capability to pdsh
Requires:  openssh-clients
Requires:  %{name} = %{version}-%{release}
Provides:  pdsh-rcmd

%description rcmd-ssh
Pdsh module for ssh rcmd functionality.

%package   mod-genders
Summary:   Provides libgenders support for pdsh
Requires:  genders >= 1.1
Requires:  %{name} = %{version}-%{release}

%description mod-genders
Pdsh module for libgenders functionality.

%package   mod-nodeupdown
Summary:   Provides libnodeupdown support for pdsh
Requires:  whatsup
Requires:  %{name} = %{version}-%{release}

%description mod-nodeupdown
Pdsh module providing -v functionality using libnodeupdown.

%package   mod-dshgroup
Summary:   Provides dsh-style group file support for pdsh
Requires:  %{name} = %{version}-%{release}

%description mod-dshgroup
Pdsh module providing dsh (Dancer's shell) style "group" file support.
Provides -g groupname and -X groupname options to pdsh.

%package   mod-netgroup
Summary:   Provides netgroup support for pdsh
Requires:  %{name} = %{version}-%{release}

%description mod-netgroup
Pdsh module providing support for targeting hosts based on netgroup.
Provides -g groupname and -X groupname options to pdsh.

%package   mod-torque
Summary:   Provides support for running pdsh under Torque jobid
Requires:  torque
Requires:  %{name} = %{version}-%{release}

%description mod-torque
Pdsh module providing support for running pdsh on Torque nodes.



%prep
%autosetup
chmod +x configure



%build
%configure \
    --enable-debug          \
    --with-rsh              \
    --with-ssh              \
    --with-readline         \
    --with-genders          \
    --with-nodeupdown       \
    --with-dshgroups        \
    --with-netgroup         \
    --with-torque           \
    --without-machines      \
    --without-mrsh          \
    --without-xcpu          \
    --without-slurm

%{make_build}



%install
%{make_install}

rm %{buildroot}/%{_libdir}/pdsh/*a



%files
%license COPYING
%doc README NEWS DISCLAIMER.* README.KRB4 README.modules
%{_bindir}/pdsh
%{_bindir}/pdcp
%{_bindir}/dshbak
%{_bindir}/rpdcp
%dir %{_libdir}/pdsh
%{_libdir}/pdsh/execcmd.so
%{_mandir}/man1/*

%files rcmd-rsh
%{_libdir}/pdsh/xrcmd.*

%files rcmd-ssh
%{_libdir}/pdsh/sshcmd.*

%files mod-genders
%{_libdir}/pdsh/genders.*

%files mod-nodeupdown
%{_libdir}/pdsh/nodeupdown.*

%files mod-dshgroup
%{_libdir}/pdsh/dshgroup.*

%files mod-netgroup
%{_libdir}/pdsh/netgroup.*

%files mod-torque
%{_libdir}/pdsh/torque.*



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.34-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.34-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Mar 29 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.34-1
- initial
